javax.el

## Class MethodInfo

- java.lang.Object
- - javax.el.MethodInfo

    public class MethodInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MethodInfo(java.lang.String name, java.lang.Class<?> returnType, java.lang.Class<?>[] paramTypes)`

### Method Summary

Methods
`java.lang.String` `getName()`
`java.lang.Class<?>[]` `getParamTypes()`
`java.lang.Class<?>` `getReturnType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodInfo

    public MethodInfo(java.lang.String name,
              java.lang.Class<?> returnType,
              java.lang.Class<?>[] paramTypes)

### Method Detail

#### getName

    public java.lang.String getName()

#### getParamTypes

    public java.lang.Class<?>[] getParamTypes()

#### getReturnType

    public java.lang.Class<?> getReturnType()